/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.datatypes;

public class Message {
	
	private String subject = null;
	private String body = null;
	private String senderHash = null;
	private String senderName = null;
	private String recipientName = null;
	private String date = null;
	private String recipientHash = null;
	
	public Message(String subject, String body, String senderHash, String senderName, String recipientName, String date) {
		this.subject = subject;
		this.body = body;
		this.senderHash = senderHash;
		this.senderName = senderName;
		this.recipientName = recipientName;
		this.date = date;
	}
	
	public Message(String subject, String body, String recipientHash) {
		this.subject = subject;
		this.body = body;
		this.recipientHash = recipientHash;
	}
	
	public String getSubject()			{ return this.subject; }
	public String getBody()				{ return this.body; }
	public String getSenderHash()		{ return this.senderHash; }
	public String getSenderName()		{ return this.senderName; }
	public String getRecipientName()	{ return this.recipientName; }
	public String getRecipientHash()	{ return this.recipientHash; }
	public String getDate()				{ return this.date; }
}
