/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.datatypes;

public abstract class ShareElement {
	
	public static final int TYPE_UNFEDINED = 0;
	
	private int 	type 		= 0;
	private String 	name 		= null;
	private long 	modified 	= 0;
	
	public ShareElement(int type, String name, long modified) {
		this.type = type;
		this.name = name;
		this.modified = modified;
	}
	
	public int getType() 				{ return this.type; }
	public String getName() 			{ return this.name; }
	public long getModificationTime() 	{ return this.modified; }
}
