/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.datatypes;

public class ShareFile extends ShareElement {
	
	public static final int TYPE_FILE = 2;
	
	private long size = 0;
	private String comment = null;
	private String yacyURL = null;
	
	public ShareFile(String name, long modified, long size, String comment, String yacyURL) {
		super(TYPE_FILE, name, modified);
		this.size = size;
		this.comment = comment;
		this.yacyURL = yacyURL;
	}
	
	public long 	getSize() 		{ return this.size; }
	public String 	getComment() 	{ return this.comment; }
	public String 	getYacyURL() 	{ return this.yacyURL; } 
}
